
public class Laberinto {
	
	private static final int ROWS = 10;
	private static final int COLS = 10;
	private static final char W = 'W';  // Wall
	private static final char S = 'S';  // Space Unvisited
	private static final char V = 'V';  // Space Visited
	private static final char C = 'C';  // Cheese
	private static char[][] lab = 
		{ 
		  {  S, S, S, S , S, S, W , W, W, W },
		  {  W, W, W, W , W, S, W , W, W, W },
		  {  W, W, W, S , S, S, W , W, S, W },
		  {  W, W, W, S , W, S, W , W, S, W },
		  {  W, W, W, S , W, S, W , W, S, W },
		  {  W, W, W, W , W, S, S , S, S, W },
		  {  W, W, W, W , W, S, W , W, W, W },
		  {  W, W, W, W , W, S, W , W, W, W },
		  {  W, W, W, W , W, S, W , W, W, W },
		  {  W, W, C, S , S, S, W , W, W, W }
		};

	public Laberinto() {
		// TODO Auto-generated constructor stub
	}
	
	public String findCheese(int i, int j) {
		if (i <0 || i>=COLS) { return ""; }
		if (j <0 || j>=COLS) { return ""; }
		if (lab[i][j] == W) {return ""; }
		if (lab[i][j] == V) {return ""; }
		if (lab[i][j] == C) {return "C"; }
		lab[i][j] = V;
		String foundByRight = findCheese(i,j+1);
		if (foundByRight.length() >0) { return "R" + foundByRight; }
		String foundByBack = findCheese(i+1,j);
		if (foundByBack.length() >0) { return "B" + foundByBack; }
		String foundByLeft = findCheese(i,j-1);
		if (foundByLeft.length() >0) { return "L" + foundByLeft; }
		String foundByFront = findCheese(i-1,j);
		if (foundByFront.length() >0) { return "F" + foundByFront; }
		return "";
	}

}
